%define name		dvblast
%define version		1.2.0
%define release		1

%define redhat 0
%if %redhat
# some mdk macros that do not exist in rh
%define configure2_5x CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
%define make %__make
%define makeinstall_std %__make DESTDIR="$RPM_BUILD_ROOT" install
# adjust define for Redhat.
%endif

Summary:	%{name} is a lightweight and fast DVB-S/C/T remuxer and restreamer.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://developers.videolan.org/projects/dvblast/
Group:		System/Daemons
Source:		http://www.videolan.org/pub/videolan/dvblast/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
Provides:	%name
Prefix:         /usr
Requires:	libdvbpsi
BuildRequires:  libdvbpsi-devel

%description
DVBlast is a lightweight and fast DVB-S/C/T remuxer and restreamer. It is used in broadcast production environments as DVB to IP gateway

%prep
%setup -q -n %{name}-%{version}

# Generate general options file
cat > %buildroot/etc/sysconfig/dvblast << EOF
# DVBlast options
DVBLASTARGS="-q"
EOF

%build
%configure2_5x --enable-release
%make PREFIX=%{prefix}

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig
chkconfig --add dvblast

%postun -p /sbin/ldconfig
chkconfig --del dvblast

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog INSTALL NEWS
%{_bindir}/dvblast
%{_bindir}/dvblastctl
%{_bindir}/dvblast_mmi.sh
%{_mandir}/man1/dvblast.1
%dir /etc/dvblast.d
/etc/init.d/dvblast
/etc/sysconfig/dvblast

%changelog
* Tue Jun 01 2010 Jean-Paul Saman <jpsaman@videolan.org>
- DVBlast rpm specfile

